## kitemmodels 5.74.0

=== debian/changelog ===
kitemmodels (5.74.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.74.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Sep 2020 10:59:39 +0100

kitemmodels (5.73.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.73.0)
  * Update symbols.
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Aug 2020 10:58:38 +0100

kitemmodels (5.72.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.72.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Jul 2020 20:33:16 +0100

kitemmodels (5.71.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.71.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 14 Jun 2020 12:06:54 +0100

kitemmodels (5.70.0-1.1ubuntu1) groovy; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields,
    - debhelper-compat = 12 for backports.
    - Added qml-module-org-kde-kitemmodels
    - Keep our symbols file.

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Jun 2020 10:47:48 +0100

kitemmodels (5.70.0-1.1) unstable; urgency=medium

  * Team upload.
  * Run the test suite at build time:
    - add the xauth, xvfb, and qml-module-qtquick-controls build dependencies
    - run dh_auto_test using xvfb-run, as a display is needed
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages. (Closes: #962031)
  * Remove the unused debian/meta/ stuff.

 -- Pino Toscano <pino@debian.org>  Thu, 04 Jun 2020 08:24:22 +0200

kitemmodels (5.70.0-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 13.
  * New upstream release (5.70.0).
  * Update build-deps and deps with the info from cmake.
  * Wrap long lines in changelog entries: 5.21.0-1.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Add kitemmodels plugins to libkf5itemmodels5.

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:55:39 +0200

kitemmodels (5.70.0-0ubuntu2) groovy; urgency=medium

  * debian/tests: Add qml-module-qtqml to testsuite depends. Fixes tests
    with Qt 5.14 where this module is a new package.

 -- Rik Mills <rikmills@kde.org>  Tue, 19 May 2020 12:54:09 +0100

kitemmodels (5.70.0-0ubuntu1) groovy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.69.0)

  [ Rik Mills ]
  * New upstream release (5.70.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 May 2020 12:32:31 +0100

kitemmodels (5.69.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 12.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Get rid of debug-symbol-migration package.
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.69.0).
  * Update build-deps and deps with the info from cmake.
  * Enable hardening all.
  * Add Build-Depends-Package to symbols file.
  * Update symbols from build for 5.69.0.
  * Remove COPYING.LIB listed in copyright file.
  * Remove not needed injection of linker flags.

 -- Sandro Knauß <hefee@debian.org>  Thu, 30 Apr 2020 00:55:49 +0200
