=== src/qml/CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,17 @@
 set(corebindings_SRCS
     plugin.cpp
     kconcatenaterowsproxymodel_qml.cpp
+    kdescendantsproxymodel_qml.cpp
     ksortfilterproxymodel.cpp
 )
 
-ecm_qt_declare_logging_category(corebindings_SRCS HEADER kitemmodels_debug.h IDENTIFIER KITEMMODELS_LOG CATEGORY_NAME kf5.kitemmodels)
+ecm_qt_declare_logging_category(corebindings_SRCS
+    HEADER kitemmodels_debug.h
+    IDENTIFIER KITEMMODELS_LOG
+    CATEGORY_NAME kf.itemmodels.quick
+    DESCRIPTION "KItemModels (QtQuick)"
+    EXPORT KITEMMODELS
+)
 
 add_library(itemmodelsplugin SHARED ${corebindings_SRCS})
 target_link_libraries(itemmodelsplugin
