=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.78.0~),
+               extra-cmake-modules (>= 5.80.0~),
                graphviz,
                libqt5sql5-sqlite:native,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
@@ -17,11 +17,11 @@
                qttools5-dev,
                qttools5-dev-tools (>= 5.4),
                xauth,
-               xvfb
+               xvfb,
 Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/frameworks/kitemmodels
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kitemmodels
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kitemmodels.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kitemmodels
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kitemmodels
 Rules-Requires-Root: no
 
 Package: libkf5itemmodels-dev
@@ -29,7 +29,7 @@
 Architecture: any
 Depends: libkf5itemmodels5 (= ${binary:Version}),
          qtbase5-dev (>= 5.14.0~),
-         ${misc:Depends}
+         ${misc:Depends},
 Recommends: libkf5itemmodels-doc (= ${source:Version})
 Description: additional item/view models for Qt Itemview
  A library which provides additional item/view models for Qt Itemview.
@@ -68,7 +68,3 @@
  A library which provides additional item/view models for Qt Itemview.
  .
  This package is part of KDE Frameworks 5.
- .
- This package contains the QML Bindings.
-Breaks: libkf5itemmodels5 (<< 5.70.0-2~)
-Replaces: libkf5itemmodels5 (<< 5.70.0-2~)
